/*
Yellow: #ffff00
Purple: #9d1f60
*/


/* ----------------------------------------------- */
/* BASIC SETUP */
/* ----------------------------------------------- */

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html,
body {
    background-color: #f4f4f4;
    color: #333;
    font-family: 'Montserrat', 'Arial', sans-serif;
    font-weight: 300;
    font-size: 20px;
    text-rendering: optimizeLegibility;
    overflow-x: hidden;
}

.clearfix {zoom: 1;}
.clearfix:after {
    content: '.';
    clear: both;
    display: block;
    height: 0;
    visibility: hidden;
}

/* ----------------------------------------------- */
/* REUSABLE COMPONENTS */
/* ----------------------------------------------- */


.row {
    max-width: 1140px;
    margin: 0 auto;
}

section {
    padding: 80px 0;
}

.box {
    padding: 1%;
}

/* ----- HEADINGS ----- */
h1,
h2,
h3 {
    font-weight: 300;
    text-transform: uppercase;
}

h1 {
    margin-top: 0;
    margin-bottom: 20px;
    color: #fff;
    font-size: 180%;
    word-spacing: 4px;
    letter-spacing: 1px;
}

h2 {
    font-size: 180%;
    word-spacing: 2px;
    text-align: center;
    margin-bottom: 30px;
    letter-spacing: 1px;
}

h3 {
    font-size: 110%;
    color: red;
    margin-bottom: 15px;
    text-align: center;
}

h2:after {
    display: block;
    height: 2px;
    background-color: red;
    content: " ";
    width: 100px;
    margin: 0 auto;
    margin-top: 10px;
}

/* ----- PARAGRAPHS ----- */

.long-copy {
    line-height: 145%;
    width: 70%;
    margin-left: 15%;
    text-align: center;
}

.box p {
    font-size: 90%;
    line-height: 145%;
    text-align: center;
}


/* ----- ICONS ----- */
.icon-big {
    font-size: 200%;
    display: block;
    color: red;
    margin-bottom: 10px;
    text-align: center;
}

/* ----- LINKS ----- */

a:link,
a:visited {
    color: #ffff00;
    text-decoration: none;
    padding-bottom: 1px;
    border-bottom: 1px solid #ffff00;
    -webkit-transition: border-bottom 0.2s, color 0.2s;
    transition: border-bottom 0.2s, color 0.2s;
}

a:hover,
a:active {
    color: #555;
    border-bottom: 1px solid transparent;
}



/* ----- BUTTONS ----- */
.btn:link,
.btn:visited
 {
    display: inline-block;
    padding: 6px 20px;
    font-weight: 300;
    text-decoration: none;
    border-radius: 10px;
    -webkit-transition: background-color 0.6s, border 0.6s, color 0.6s;
    transition: background-color 0.6s, border 0.6s, color 0.6s;
}

.btn:hover,
.btn:active  {
    background-color: red;
}

.btn:hover:first-of-type,
.btn:active:first-of-type  {
    background-color: #ffff00;
}

.btn:hover:first-of-type,
.btn:active:first-of-type  {
    background-color: #ffff00;
}

/*  */
.btn-full:link,
.btn-full:visited {
    border: 1px solid #ffff00;
    color: #ffff00;
    margin-right: 10px;
}

.btn-full:hover,
.btn-full:active {
    border: 1px solid transparent;
    color: red;
}

.btn-ghost:link,
.btn-ghost:visited {
    border: 1px solid red;
    color: red;
    margin-right: 10px;
}

.btn-ghost:hover,
.btn-ghost:active {
    border: 1px solid transparent;
    color: #fff;
}


/* ----------------------------------------------- */
/* HEADER */
/* ----------------------------------------------- */

header {
    background-image: -webkit-linear-gradient(rgba(0, 0, 0, 0.85), rgba(0, 0, 0, 0.85)), url(img/FamilyFiesta.jpg);
    background-size: cover;
    background-position: center;
    height: 100vh;
    background-attachment: fixed;
}

.hero-text-box {
    position: absolute;
    width: 1140px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.logo {
    height: 100px;
    width: auto;
    float: left;
    margin-top: 15px;
}

.logo-black { 
    display: none;
    height: 50px;
    width: auto;
    float: left;
    margin: 5px 0;
}

/* Main navi */
.main-nav {
    float: right;
    list-style: none;
    margin-top: 55px;
}

.main-nav li {
    display: inline-block;
    margin-left: 40px;
}

.main-nav li a:link,
.main-nav li a:visited {
    padding: 8px 0;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 90%;
    border-bottom: 2px solid transparent;
    -webkit-transition: border-bottom 0.2s;
    transition: border-bottom 0.2s;
}

.main-nav li a:hover,
.main-nav li a:active {
    border-bottom: 2px solid red;
}


/* Mobile navi */
.mobile-nav-icon {
    float: right;
    margin-top: 30px;
    cursor: pointer;
    display: none;
}

.mobile-nav-icon i {
    font-size: 200%;
    color: #fff;
}


/* Sticky navi */
.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.98);
    -webkit-box-shadow: 0 1px 0.5px #efefef;
    box-shadow: 0 1px 0.5px #efefef;
    z-index: 9999;
}

.sticky .main-nav { margin-top: 18px; }

.sticky .main-nav li a:link,
.sticky .main-nav li a:visited {
    padding: 16px 0;
    color: #9d1f60;
}

.sticky .logo { display: none; }
.sticky .logo-black { display: block; }



/* -------------
Our Work Code
 ---------------*/

.section-works {
    padding: 0;
}


.section-works h2 {
    margin-top: 60px;
}

.section-works p {
    margin-bottom: 30px;
}

.works-showcase {
    list-style: none;
    width: 100%;
    margin-bottom: 20px;
    
}

.works-showcase:first-of-type {
    margin-top: 60px;
        
}

.works-showcase:last-of-type {
    margin-bottom: 80px;
        
}

.works-showcase li {
    display: block;
    float: left;
    width: 33.3%;
}

.works-photo {
    width: 100%;
    margin: 0;
    overflow: hidden;
    background-color: transparent;
}

.works-photo:after {
    -webkit-transition: border-bottom 0.8s;
    transition: border-bottom 0.8s;
}

.works-photo img {
    opacity: 0.8;
    width: 100%;
    height: auto;
    -webkit-transform: scale(1.15);
    transform: scale(1.15);
    -webkit-transition: -webkit-transform 0.5s, opacity 0.5s ease;
    -webkit-transition: opacity 0.5s ease, -webkit-transform 0.5s;
    transition: opacity 0.5s ease, -webkit-transform 0.5s;
    transition: transform 0.5s, opacity 0.5s ease;
    transition: transform 0.5s, opacity 0.5s ease, -webkit-transform 0.5s;
}

.works-photo img:hover {
    opacity: 1;
    height: auto;
    -webkit-transform: scale(1.09);
    transform: scale(1.09);
     -webkit-transition: -webkit-transform 0.9s, opacity 0.9s ease;
    -webkit-transition: opacity 0.9s ease, -webkit-transform 0.9s;
    transition: opacity 0.9s ease, -webkit-transform 0.9s;
    transition: transform 0.9s, opacity 0.9s ease;
    transition: transform 0.9s, opacity 0.9s ease, -webkit-transform 0.9s;
}


/* ----------------------------------------------- */
/* Place an Order Code */
/* ----------------------------------------------- */

.section-contactinfo {
    background-color: #fff;
    height: 1250px;
    padding-top: 80px
}

.section-contactinfo h3 {
    display: block;
    color: white;
    margin: 0;
    padding-top: 20px;
    width: 100%;
    background-color: red;
}

.section-contactinfo h3:after {
    display: block;
    height: 2px;
    background-color: red;
    content: " ";
    width: 200px;
    margin: 0 auto;
    margin-top: 20px;
    
}

.ring {
    width: 100%;
    text-align: center;
    margin-top: 30px;
        
}


.details {
    width: 100%;
    
    display: -webkit-box;
    
    display: -ms-flexbox;
    
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-line-pack: center;
    align-content: center;
    
}

.details__hero {
    margin-top: 30px;
    
}

.details p {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 50px;
    flex: 0 1 50px;
    -ms-flex-line-pack: center;
    align-content: center;
    font-size: 150%;
    font-weight: 600;
}

.details p:after {
    display: block;
    height: 2px;
    background-color: red;
    content: " ";
    width: 200px;
    margin: 0 auto;
    margin-top: 20px;
}

.details i {
    -ms-flex-line-pack: center;
    align-content: center;
}

.icon-medium {
    width: 100%;
    margin-right: 60px;
    text-align: center;
    font-size: 200%;
    color: red;
}

*:focus {outline: none;}


/* ----------------------------------------------- */
/* FOOTER */
/* ----------------------------------------------- */

footer {
    background-color: #ffff00;
    padding: 10px;
    font-size: 80%;
}

.footer-nav {
    list-style: none;
    display: block;
    width: 100%;
    list-style: none;
    text-align: center;
    padding: 0;
    margin-top: 0;
    margin-bottom: 20px;
}

.social-links {
    display: block;
    width: 100%;
    list-style: none;
    text-align: center;
    padding: 0;
    margin-top: 0;
}

.footer-nav li {
    display: inline-block;
    text-align: center;
    margin-right: 20px;
}

.social-links li {
    display: inline-block;
    margin-right: 20px;
}

.footer-nav li:last-child {
    margin-left: 20px;
    margin-right: 0;
    font-size: 180%;
    padding-top: 8px;
}

.footer-nav li a:link,
.footer-nav li a:visited {
    text-decoration: none;
    border: 0;
    color: #9d1f60;
    -webkit-transition: color 0.2s;
    transition: color 0.2s;
}

.footer-nav li a:hover,
.footer-nav li a:active {
    color: red;
}

.ion-social-instagram {
    -webkit-transition: color 0.6s;
    transition: color 0.6s;
}

.ion-social-instagram:hover,
.ion-arrow-up-a:hover {
    color: red;
}


footer p {
    color: rgba(51, 51, 51, 0.74);
    text-align: center;
    margin-top: 20px;
    font-size: 70%
}




/* ----------------------------------------------- */
/* Animations */
/* ----------------------------------------------- */

.js--wp-1,
.js--wp-2,
.js--wp-3
{
    opacity: 1;
    -webkit-animation-duration: 1.3s;
    animation-duration: 1.3s;
}

.js--wp-4 {
    -webkit-animation-duration: 1.3s;
    animation-duration: 1.3s;
}

.js--wp-1.animated,
.js--wp-2.animated,
.js--wp-3.animated {
    opacity: 1;
}


